Bug 241335 - databases/mariadb104-server update 10.4.10
Summary: databases/mariadb104-server update 10.4.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on: 231998
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-18 22:49 UTC by nbari
Modified: 2019-12-02 00:44 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (brnrd)
nbari: maintainer-feedback? (mmokhi)


Attachments
mariadb104 (5.51 KB, patch)
2019-10-18 22:49 UTC, nbari
no flags Details | Diff
mariadb-10.4.10 patch (2.52 KB, patch)
2019-11-17 21:16 UTC, nbari
no flags Details | Diff
Update databases/mariadb104-{client,server} to 10.4 (25.32 KB, patch)
2019-11-21 20:29 UTC, Ralf van der Enden
no flags Details | Diff
Update databases/mariadb104-{client,server} to 10.4 (includes all patches from my tree now) (35.34 KB, patch)
2019-11-22 08:40 UTC, Ralf van der Enden
tremere: maintainer-approval?
Details | Diff
Unbreak build on i386 (4.13 KB, patch)
2019-11-30 02:52 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nbari 2019-10-18 22:49:44 UTC
Created attachment 208413 [details]
mariadb104

Update to 10.4.8 including https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240500
Comment 1 VVD 2019-11-16 05:35:09 UTC
1. Is the build fixed on i386?
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=239981#c2
This change broke build on FreeBSD i386:
https://jira.mariadb.org/browse/MDEV-19696

2. 10.4.10 released already: https://mariadb.com/kb/en/library/mariadb-10410-release-notes/
Comment 2 nbari 2019-11-17 21:16:40 UTC
Created attachment 209214 [details]
mariadb-10.4.10 patch

update to 10.4.10

removed https://jira.mariadb.org/browse/MDEV-20258
and storage_tokudb_PerconaFT

Compiled and tested only in amd64
Comment 3 Ralf van der Enden 2019-11-21 20:29:53 UTC
Created attachment 209328 [details]
Update databases/mariadb104-{client,server} to 10.4


Took a bit more work than expected, but I got the whole thing to compile on both amd64 and i386. All options on, except for mroonga, since that fails compilation completely (there's a PR for that).

Removed AWS_KMS option, since enabling it does nothing right now.

There's probably room for improvement, but this is as good as it gets from my side.
Comment 4 VVD 2019-11-21 23:12:45 UTC
(In reply to Ralf van der Enden from comment #3)
Can't find file "extrapatch-MDEV-13728" in your patch.
Comment 5 Ralf van der Enden 2019-11-22 08:40:38 UTC
Created attachment 209335 [details]
Update databases/mariadb104-{client,server} to 10.4 (includes all patches from my tree now)


Updated my patch, since I forgot to 'svn add' several last-minute patches.

@VVD, sorry for missing this.
Comment 6 commit-hook freebsd_committer 2019-11-28 19:05:55 UTC
A commit references this bug:

Author: brnrd
Date: Thu Nov 28 19:05:08 UTC 2019
New revision: 518601
URL: https://svnweb.freebsd.org/changeset/ports/518601

Log:
  databases/mariadb104-server: Security update to 10.4.10

  PR:             241335
  Submitted by:   nbari tequilla io, Ralf van der Enden <tremere cainites net>
  MFH:            2019Q4
  Security:       fc91f2ef-fd7b-11e9-a1c7-b499baebfeaf

Changes:
  head/databases/mariadb104-server/Makefile
  head/databases/mariadb104-server/distinfo
  head/databases/mariadb104-server/files/patch-CMakeLists.txt
  head/databases/mariadb104-server/files/patch-MDEV-20258
  head/databases/mariadb104-server/files/patch-libmariadb_plugins_auth_CMakeLists.txt
  head/databases/mariadb104-server/files/patch-man_CMakeLists.txt
  head/databases/mariadb104-server/files/patch-plugin_auth__pam_testing_CMakeLists.txt
  head/databases/mariadb104-server/files/patch-storage_tokudb_PerconaFT_cmake__modules_TokuThirdParty.cmake
  head/databases/mariadb104-server/pkg-plist
Comment 7 Bernard Spil freebsd_committer 2019-11-29 07:31:30 UTC
Thanks everyone for helping out!
Comment 8 commit-hook freebsd_committer 2019-11-29 07:35:45 UTC
A commit references this bug:

Author: brnrd
Date: Fri Nov 29 07:35:32 UTC 2019
New revision: 518628
URL: https://svnweb.freebsd.org/changeset/ports/518628

Log:
  MFH: r518601

  databases/mariadb104-server: Security update to 10.4.10

  PR:             241335
  Submitted by:   nbari tequilla io, Ralf van der Enden <tremere cainites net>
  Security:       fc91f2ef-fd7b-11e9-a1c7-b499baebfeaf

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/databases/mariadb104-server/Makefile
  branches/2019Q4/databases/mariadb104-server/distinfo
  branches/2019Q4/databases/mariadb104-server/files/patch-CMakeLists.txt
  branches/2019Q4/databases/mariadb104-server/files/patch-MDEV-20258
  branches/2019Q4/databases/mariadb104-server/files/patch-libmariadb_plugins_auth_CMakeLists.txt
  branches/2019Q4/databases/mariadb104-server/files/patch-man_CMakeLists.txt
  branches/2019Q4/databases/mariadb104-server/files/patch-plugin_auth__pam_testing_CMakeLists.txt
  branches/2019Q4/databases/mariadb104-server/files/patch-storage_tokudb_PerconaFT_cmake__modules_TokuThirdParty.cmake
  branches/2019Q4/databases/mariadb104-server/pkg-plist
Comment 9 VVD 2019-11-29 15:39:22 UTC
Build on i386 still broken.
Can't find file "extrapatch-MDEV-13728" in your commit.
Comment 10 VVD 2019-11-30 02:52:39 UTC
Created attachment 209542 [details]
Unbreak build on i386

Tested on 12.1 i386.
Comment 11 Bernard Spil freebsd_committer 2019-12-01 13:22:52 UTC
(In reply to VVD from comment #10)
Should mark it broken on i386.

The patch provided doesn't do what you want it to do. It will make the build work but there's no implementation at runtime.

This will only work once we move from i386 to i686 (in 13?) see https://bugs.freebsd.org/230888
Comment 12 VVD 2019-12-02 00:44:31 UTC
(In reply to Bernard Spil from comment #11)
> The patch provided doesn't do what you want it to do. It will make the build work but there's no implementation at runtime.
Can you, please, make example to test this? Older versions of mariadb 10.4 work fine before: https://jira.mariadb.org/browse/MDEV-19696

> https://bugs.freebsd.org/230888
Yes, I read this issue before.

> This will only work once we move from i386 to i686 (in 13?)
i386 is very broken in 12.x already - a lot of things doesn't work or even panic system. If somebody decide to wait 13 on 11.x - he needs great patience and faith in miracles... :-(